Description

Task Details

1. When updating order status in batches, the update_time of the order table is not updated.
2. When updating some order products, can you update the order ID only once?
History

#1 - 10/11/2024 07:06 PM - Zhongbao Ye

- Subject changed from v3.0: When updating order status in batches, the update_time of the order table is not updated to v3.0: When updating orders
in batches, the order update_date is not updated

#2 - 10/11/2024 07:45 PM - Zhongbao Ye
Output(2024/10/11) 00

e Solution: Commit ID (OTS): f9a162b1af71c4e0e455de439004136ec6e73c8a
When updating order products in batches, update the order update_time at the same time.
- Batch update order status = any order status
- Batch update order status = sent to retailer

¢ Note:
The order update time is not updated when deleting order products in batches

#3 - 10/11/2024 07:45 PM - Zhongbao Ye

- Subject changed from v3.0: When updating orders in batches, the order update date is not updated to v3.0: When updating orders in batches, the
order update_time is not updated

- Status changed from 010l to0010
- % Done changed from 0 to 100

#4 - 10/14/2024 07:19 PM - Xihua Fan
- Description updated

- Status changed from 100 to0010

- % Done changed from 100 to 90

#5 - 10/15/2024 12:25 PM - Zhongbao Ye
- Status changed from 000 to0010
- % Done changed from 90 to 100

Output(2024/10/14) 11
Task Detail 2:Commit ID: b6761f2837e64a1c018cc40911a6d664d383c041

1. Bugfix: After batch updating orders, multiple sub-orders of the same order are not sorted together.

o Reason: The default order sorting rule is: ORDER BY o.update_time DESC, op.update_time DESC.

When some sub-orders are updated in batches, the same orders cannot be sorted together.
o Solution: Modify sorting rules:
Old: ORDER BY o.update_time DESC, op.update_time DESC
New: ORDER BY o.update_time DESC, op.order_id, op.update_time DESC
2. When updating orders in batches, only update the order once when updating order products in a loop.
